commit 5361c48b49c4f484de93adadbc973d24f5de1668
Author: freddy77 <freddy77>
Date:   Wed Apr 22 15:11:20 2009 +0000

    fix dblib t0008 test

diff --git a/ChangeLog b/ChangeLog
index 1eadb31..0e43c5e 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Wed Apr 22 17:11:00 CEST 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/dblib/unittests/t0008.c: fix test
+
 Tue Apr 21 15:39:35 CEST 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* misc/sybase_tests: improve
 
@@ -1500,4 +1503,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2775 2009/04/21 13:41:05 freddy77 Exp $
+$Id: ChangeLog,v 1.2776 2009/04/22 15:11:20 freddy77 Exp $
diff --git a/src/dblib/unittests/t0008.c b/src/dblib/unittests/t0008.c
index f054dca..6a7ea84 100644
--- a/src/dblib/unittests/t0008.c
+++ b/src/dblib/unittests/t0008.c
@@ -5,7 +5,7 @@
 
 #include "common.h"
 
-static char software_version[] = "$Id: t0008.c,v 1.18 2009/02/01 22:29:39 jklowden Exp $";
+static char software_version[] = "$Id: t0008.c,v 1.19 2009/04/22 15:11:20 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 
@@ -13,7 +13,7 @@ static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 int
 main(int argc, char **argv)
 {
-	const int rows_to_add = 50;
+	const int rows_to_add = 48;
 	LOGINREC *login;
 	DBPROCESS *dbproc;
 	int i;
@@ -69,7 +69,7 @@ main(int argc, char **argv)
 	}
 
 	fprintf(stdout, "insert\n");
-	for (i = 1; i < rows_to_add; i++) {
+	for (i = 1; i <= rows_to_add; i++) {
 	char cmd[1024];
 
 		sprintf(cmd, "insert into #dblib0008 values (%d, 'row %03d')", i, i);
@@ -107,7 +107,7 @@ main(int argc, char **argv)
 
 	add_bread_crumb();
 
-	for (i = 1; i < rows_to_add; i++) {
+	for (i = 1; i <= rows_to_add; i++) {
 	char expected[1024];
 
 		sprintf(expected, "row %03d", i);
@@ -159,8 +159,8 @@ main(int argc, char **argv)
 	dbexit();
 	add_bread_crumb();
 
-	fprintf(stdout, "%s %s (last_read: %d)\n", __FILE__, ((last_read != rows_to_add - 1)? "failed!" : "OK"), (int) last_read);
+	fprintf(stdout, "%s %s (last_read: %d)\n", __FILE__, ((last_read != rows_to_add)? "failed!" : "OK"), (int) last_read);
 
 	free_bread_crumb();
-	return (last_read == rows_to_add - 1) ? 0 : 1;
+	return (last_read == rows_to_add) ? 0 : 1;
 }

